EVM and SVM onchain data endpoints, plus API documentation and monitoring.
    Read-only preview
    You're browsing the public OpenAPI spec. Sign in to send live requests with your team's API key.
    EVM DEXs

    Swap Events

    Returns DEX swap events with input and output token amounts.
    GET
    https://api.pinax.network/v1/evm/swaps
    Requires bearer token — sign in to inject your team’s key.

    Supported networks (9)

    Arbitrum OneArbitrum OneAvalancheAvalancheBaseBaseBNBBNBHyperEVMHyperEVMEthereumEthereumOptimismOptimismPolygonPolygonUnichainUnichain

    Required parameters

    NameTypeDescription
    networkrequired
    query
    Enum · 9The Graph Network ID for EVM networks https://thegraph.com/networks
    arbitrum-oneavalanchebasebschyperevmmainnetoptimismpolygonunichain
    e.g. mainnet

    Optional parameters

    NameTypeDescription
    transaction_id
    query
    Tx HashFilter by transaction hash
    Single value or array of values* (separate multiple values with ,)
    *Plan restricted.
    e.g. 0xf6374799c227c9db38ff5ac1d5bebe8b607a1de1238cd861ebd1053ec07305ca
    factory
    query
    AddressFilter by factory address
    Single value or array of values* (separate multiple values with ,)
    *Plan restricted.
    e.g. 0x5c69bee701ef814a2b6a3edd4b1652cb9cc5aa6f
    pool
    query
    AddressFilter by pool address
    Single value or array of values* (separate multiple values with ,)
    *Plan restricted.
    e.g. 0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640
    caller
    query
    string · evm-addressFilter by address
    Single value or array of values* (separate multiple values with ,)
    *Plan restricted.
    e.g. 0x7a250d5630b4cf539739df2c5dacb4c659f2488d
    transaction_from
    query
    AddressFilter by address
    Single value or array of values* (separate multiple values with ,)
    *Plan restricted.
    e.g. 0x7a250d5630b4cf539739df2c5dacb4c659f2488d
    user
    query
    AddressFilter by address
    Single value or array of values* (separate multiple values with ,)
    *Plan restricted.
    e.g. 0x7a250d5630b4cf539739df2c5dacb4c659f2488d
    sender
    query
    AddressFilter by address
    Single value or array of values* (separate multiple values with ,)
    *Plan restricted.
    e.g. 0x7a250d5630b4cf539739df2c5dacb4c659f2488d
    recipient
    query
    AddressFilter by address
    Single value or array of values* (separate multiple values with ,)
    *Plan restricted.
    e.g. 0x7a250d5630b4cf539739df2c5dacb4c659f2488d
    input_contract
    query
    ContractFilter by contract address
    Single value or array of values* (separate multiple values with ,)
    *Plan restricted.
    e.g. 0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48
    output_contract
    query
    ContractFilter by contract address
    Single value or array of values* (separate multiple values with ,)
    *Plan restricted.
    e.g. 0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2
    protocol
    query
    Enum · 13Protocol name
    uniswap_v1uniswap_v2uniswap_v3uniswap_v4curvefibalancerbancorcowaerodromedodowoofitraderjoekyber_elastic
    e.g. uniswap_v3
    start_time
    query
    DatetimeUNIX timestamp in seconds or date string (e.g. "2025-01-01T00:00:00Z", "2025-01-01", ...).
    end_time
    query
    DatetimeUNIX timestamp in seconds or date string (e.g. "2025-01-01T00:00:00Z", "2025-01-01", ...).
    start_block
    query
    integerFilter by block number
    end_block
    query
    integerFilter by block number
    limit
    query
    integerNumber of items* returned in a single request.
    *Plan restricted.
    page
    query
    integerPage number to fetch.
    Empty data array signifies end of results.

    Response

    200 OK
    {
      "data": [
        {
          "block_num": 23590326,
          "datetime": "2025-10-16 12:48:47",
          "timestamp": 1760618927,
          "transaction_id": "0xf6374799c227c9db38ff5ac1d5bebe8b607a1de1238cd861ebd1053ec07305ca",
          "transaction_index": 143,
          "transaction_from": "0xa69babef1ca67a37ffaf7a485dfff3382056e78c",
          "call_index": null,
          "log_ordinal": 42,
          "log_block_index": 0,
          "log_index": 42,
          "log_topic0": "0xc42079f94a6350d7e6235f29174924f928cc2ac818eb64fed8004e115fbcca67",
          "factory": "0x1f98431c8ad98523631ae4a59f267346ea31f984",
          "pool": "0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640",
          "input_token": {
            "address": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
            "symbol": "USDC",
            "decimals": 6
          },
          "output_token": {
            "address": "0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2",
            "symbol": "WETH",
            "decimals": 18
          },
          "caller": "0xa69babef1ca67a37ffaf7a485dfff3382056e78c",
          "user": "0xa69babef1ca67a37ffaf7a485dfff3382056e78c",
          "sender": "0xa69babef1ca67a37ffaf7a485dfff3382056e78c",
          "recipient": "0xa69babef1ca67a37ffaf7a485dfff3382056e78c",
          "input_amount": "40735537734",
          "input_value": 40735.537734,
          "output_amount": "10042247631260591234",
          "output_value": 10.042247631260592,
          "price": 246517483.4798306,
          "price_inv": 4.056507416366747e-9,
          "protocol": "uniswap_v3",
          "summary": "Swap 40.74 thousand USDC for 10.042247631260592 WETH on Uniswap V3",
          "network": "mainnet"
        }
      ]
    }